Skip to content
Whats91

Remove a keyword exclusion from active matching.

Delete Keyword Exclusion

Summary

Remove a keyword exclusion from active matching.

Prerequisites

  • Authorization: Bearer w91_live_xxx
  • Content-Type: application/json for JSON requests
DELETE/api/v3/custom-boards/keyword-exclusions/{uid}

Delete a keyword exclusion.

ParameterTypeRequiredDescription
uidstringRequiredKeyword exclusion UID.
senderIdstringOptionalWhatsApp registered sender phone number.
cURL
curl -X DELETE "https://graph.whats91.com/api/v3/custom-boards/keyword-exclusions/cbke_abc123" \
  -H "Authorization: Bearer w91_live_xxx" \
  -H "Content-Type: application/json" \
  -d '{ "senderId": "913614068784" }'
200 OK
{
  "success": true,
  "message": "Custom board keyword exclusion deleted",
  "data": { "uid": "cbke_abc123", "status": "DELETED" },
  "metadata": {
    "apiVersion": "v3",
    "requestId": "request-uuid"
  }
}

Delete marks the exclusion deleted and invalidates the runtime cache so it stops matching immediately.

SDK Examples

Use these examples as starting points for server-side implementations.

cURL
curl -X DELETE "https://graph.whats91.com/api/v3/custom-boards/keyword-exclusions/{uid}" \
  -H "Authorization: Bearer w91_live_xxx"
Node.js
const response = await fetch("https://graph.whats91.com/api/v3/custom-boards/keyword-exclusions/{uid}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer w91_live_xxx"
  }
});

const data = await response.json();
console.log(data);
PHP
$ch = curl_init("https://graph.whats91.com/api/v3/custom-boards/keyword-exclusions/{uid}");
curl_setopt_array($ch, [
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer w91_live_xxx"
  ]
]);

$response = curl_exec($ch);
curl_close($ch);
echo $response;
Python
import requests

response = requests.request(
    "DELETE",
    "https://graph.whats91.com/api/v3/custom-boards/keyword-exclusions/{uid}",
    headers={
        "Authorization": "Bearer w91_live_xxx",
    }
)

print(response.json())
C#
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer w91_live_xxx");

var request = new HttpRequestMessage(HttpMethod.Delete, "https://graph.whats91.com/api/v3/custom-boards/keyword-exclusions/{uid}");

var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());

Related APIs